/*
==========================================
Name:		DS18B20.h
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8
Frequency:	CPU 8MHz
Hardware:	DS18B20
==========================================
*/

/* definice maker */
#define DS18_Set() PORTD |= 0x80; // pripojeni obvodu DS18B20
#define DS18_Clr() PORTD &=~0x80;
#define DS18_Out() DDRD  |= 0x80;
#define DS18_In()  DDRD  &=~0x80;

/* uplne funkcni prototypy */ 
unsigned char DS_Reset(void); // Reset obvodu Dallas
unsigned char DS_Read(void); // Cte bajt z obvodu Dallas
void DS_Write( unsigned char value ); // Zapis bajtu na sbernici 1-wire
